跳转到主要内容
GET
/
datasets
Error
A valid request URL is required to generate request examples
{
  "data": [
    {
      "id": "c42e2a6e-40b3-4330-96f8-f1e4d768e8c9",
      "name": "Product Documentation",
      "description": "产品 API 技术文档",
      "provider": "vendor",
      "permission": "only_me",
      "data_source_type": null,
      "indexing_technique": "high_quality",
      "app_count": 0,
      "document_count": 0,
      "word_count": 0,
      "created_by": "ad313dd6-ef04-4dd1-a5b0-c0f0b9e2e7e4",
      "author_name": "admin",
      "created_at": 1741267200,
      "updated_by": "ad313dd6-ef04-4dd1-a5b0-c0f0b9e2e7e4",
      "updated_at": 1741267200,
      "embedding_model": "text-embedding-3-small",
      "embedding_model_provider": "openai",
      "embedding_available": true,
      "retrieval_model_dict": {
        "search_method": "semantic_search",
        "reranking_enable": false,
        "reranking_mode": null,
        "reranking_model": {
          "reranking_provider_name": "",
          "reranking_model_name": ""
        },
        "weights": null,
        "top_k": 3,
        "score_threshold_enabled": false,
        "score_threshold": null
      },
      "tags": [],
      "doc_form": "text_model",
      "external_knowledge_info": null,
      "external_retrieval_model": null,
      "doc_metadata": [],
      "built_in_field_enabled": true,
      "pipeline_id": null,
      "runtime_mode": null,
      "chunk_structure": null,
      "icon_info": null,
      "summary_index_setting": null,
      "is_published": false,
      "total_documents": 0,
      "total_available_documents": 0,
      "enable_api": true,
      "is_multimodal": false
    }
  ],
  "has_more": false,
  "limit": 20,
  "total": 1,
  "page": 1
}

授权

Authorization
string
header
必填

API Key 认证。对于所有 API 请求,请在 Authorization HTTP 头中包含您的 API Key,并加上 Bearer 前缀。示例:Authorization: Bearer {API_KEY}强烈建议将 API Key 存储在服务端,不要在客户端共享或存储,以避免 API Key 泄漏导致严重后果。

查询参数

page
integer
默认值:1

要获取的页码。

limit
integer
默认值:20

每页条目数。

keyword
string

按名称筛选的搜索关键词。

include_all
boolean
默认值:false

是否包含所有知识库,无论权限如何。

tag_ids
string[]

用于筛选的标签 ID。

响应

200 - application/json

知识库列表。

data
object[]

知识库对象数组。

has_more
boolean

下一页是否还有更多项目。

limit
integer

每页条目数。

total
integer

匹配条目的总数。

page
integer

当前页码。